Bug 1266797 - pygsl-2.1.1 is available
Summary: pygsl-2.1.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pygsl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1276893
TreeView+ depends on / blocked
 
Reported: 2015-09-28 00:16 UTC by Upstream Release Monitoring
Modified: 2016-02-26 07:23 UTC (History)
3 users (show)

Fixed In Version: pygsl-2.1.1-2.fc22 pygsl-2.1.1-2.fc23
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-25 08:53:19 UTC


Attachments (Terms of Use)
[patch] Update to 2.1.1 (#1266797) (1.06 KB, patch)
2015-09-28 00:16 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2015-09-28 00:16:13 UTC
Latest upstream release: 2.1.1
Current version/release in rawhide: 0.9.5-13.fc23
URL: http://pygsl.sourceforge.net

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-09-28 00:16:28 UTC
Created attachment 1077821 [details]
[patch] Update to 2.1.1 (#1266797)

Comment 2 Upstream Release Monitoring 2015-09-28 00:18:05 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11246895

Comment 3 Orion Poplawski 2015-11-15 00:08:40 UTC
José - are you still around?  I think it's long past time to modernize this package, probably by replacing it with a python-pygsl package.  I'm also looking to update gsl to 2.1 which will need the updated pygsl. Are you up for helping?  Thanks.  It appears to build fine with gsl 1.15, so I think we should update this first.

Comment 4 Elliott Sales de Andrade 2015-11-16 05:38:09 UTC
Just a friendly reminder that the new release also claims support for Python 3.

Comment 5 José Matos 2015-11-16 12:52:30 UTC
Hi Orion,
  I am around and alive (barely ;-) ) in the middle of the first semester here. This week I am busy but I will be able to look into this next week.

We can always add a Provides python-gsl=%{version} for the moment to ease the transition.

And yes I noticed the claim for python 3 support in the new version. :-)

Comment 6 Orion Poplawski 2015-11-16 20:17:05 UTC
Great.  No particular hurry here, so I'll let you work on it next week.

Comment 7 Orion Poplawski 2015-11-30 23:07:00 UTC
Any progress here?

Comment 8 Upstream Release Monitoring 2016-02-13 18:41:53 UTC
jamatos's pygsl-2.1.1-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=735604

Comment 9 José Matos 2016-02-13 18:47:45 UTC
How about this update, does it work for you?

I have modernized the spec file building python2 and python3 subpackages.

Comment 10 Elliott Sales de Andrade 2016-02-13 21:22:07 UTC
I haven't tested it, but note that python3-gsl depends on python2-numpy.

Comment 11 Upstream Release Monitoring 2016-02-14 08:05:08 UTC
jamatos's pygsl-2.1.1-2.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=735669

Comment 12 José Matos 2016-02-14 08:56:45 UTC
(In reply to Elliott Sales de Andrade from comment #10)
> I haven't tested it, but note that python3-gsl depends on python2-numpy.

Thank you. :-)

Fixed in 2.1.1-2

I fixed also python2-numpy -> numpy since numpy does not provides python2-numpy. :-(

Comment 13 Fedora Update System 2016-02-15 00:06:32 UTC
pygsl-2.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-16795cc422

Comment 14 Fedora Update System 2016-02-15 00:07:23 UTC
pygsl-2.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f31ac528d4

Comment 15 Orion Poplawski 2016-02-16 23:49:16 UTC
(In reply to José Matos from comment #12)
> I fixed also python2-numpy -> numpy since numpy does not provides
> python2-numpy. :-(

Well, it does, but only with >= 1.10.1-2

Comment 16 Fedora Update System 2016-02-17 06:27:35 UTC
pygsl-2.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f31ac528d4

Comment 17 Fedora Update System 2016-02-17 06:29:57 UTC
pygsl-2.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-16795cc422

Comment 18 Fedora Update System 2016-02-25 08:53:17 UTC
pygsl-2.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-02-26 07:23:57 UTC
pygsl-2.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.